# Uses of Class
java.awt.BufferCapabilities

Packages that use BufferCapabilities
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
java.awt.image
Provides classes for creating and modifying images.

## Uses of BufferCapabilities in java.awt

Fields in java.awt declared as BufferCapabilities
Modifier and Type
Field
Description
`protected BufferCapabilities`
Component.BltBufferStrategy.`caps`
The buffering capabilities
`protected BufferCapabilities`
Component.FlipBufferStrategy.`caps`
The buffering capabilities
Methods in java.awt that return BufferCapabilities
Modifier and Type
Method
Description
`BufferCapabilities`
GraphicsConfiguration.`getBufferCapabilities()`
Returns the buffering capabilities of this `GraphicsConfiguration`.
`BufferCapabilities`
Component.BltBufferStrategy.`getCapabilities()`
`BufferCapabilities`
Component.FlipBufferStrategy.`getCapabilities()`
Methods in java.awt with parameters of type BufferCapabilities
Modifier and Type
Method
Description
`protected void`
Component.FlipBufferStrategy.`createBuffers(int numBuffers, BufferCapabilities caps)`
Creates one or more complex, flipping buffers with the given capabilities.
`void`
Canvas.`createBufferStrategy(int numBuffers, BufferCapabilities caps)`
Creates a new strategy for multi-buffering on this component with the required buffer capabilities.
`void`
Window.`createBufferStrategy(int numBuffers, BufferCapabilities caps)`
Creates a new strategy for multi-buffering on this component with the required buffer capabilities.
Constructors in java.awt with parameters of type BufferCapabilities
Modifier
Constructor
Description
`protected`
`BltBufferStrategy(int numBuffers, BufferCapabilities caps)`
Creates a new blt buffer strategy around a component
`protected`
`FlipBufferStrategy(int numBuffers, BufferCapabilities caps)`
Creates a new flipping buffer strategy for this component.

## Uses of BufferCapabilities in java.awt.image

Methods in java.awt.image that return BufferCapabilities
Modifier and Type
Method
Description
`abstract BufferCapabilities`
BufferStrategy.`getCapabilities()`
Returns the `BufferCapabilities` for this `BufferStrategy`.